Player

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media
Interface Player

All Superinterfaces:
  Clock, Controller, Duration, MediaHandler

All Known Subinterfaces:
  ServiceMediaHandler

    public interface Player

extends MediaHandler, Controller, Duration

Field Summary

Fields inherited from interface javax.media.Controller
`LATENCY_UNKNOWN, Prefetched, Prefetching, Realized, Realizing, Started, Unrealized`

Fields inherited from interface javax.media.Clock
`RESET`

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Method Summary
`void` | `addController(Controller newController)`
`Component` | `getControlPanelComponent()`
`GainControl` | `getGainControl()`
`Component` | `getVisualComponent()`
`void` | `removeController(Controller oldController)`
`void` | `start()`

Methods inherited from interface javax.media.MediaHandler
`setSource`

Methods inherited from interface javax.media.Controller
`addControllerListener, close, deallocate, getControl, getControls, getStartLatency, getState, getTargetState, prefetch, realize, removeControllerListener`

Methods inherited from interface javax.media.Clock
`getMediaNanoseconds, getMediaTime, getRate, getStopTime, getSyncTime, getTimeBase, mapToTimeBase, setMediaTime, setRate, setStopTime, setTimeBase, stop, syncStart`

Methods inherited from interface javax.media.Duration
`getDuration`

Method Detail

### getVisualComponent

    Component getVisualComponent()

### getGainControl

    GainControl getGainControl()

### getControlPanelComponent

    Component getControlPanelComponent()

### start

    void start()

### addController

    void addController(Controller newController)
                       throws IncompatibleTimeBaseException

  Throws:
    `IncompatibleTimeBaseException`

### removeController

    void removeController(Controller oldController)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD